/******************************************************************************/
/* Global functions header file.                                              */
/******************************************************************************/
/* This is part of the PolyKit library.                                       */
/* Copyright (C) 1998-1999 by Polycode.                                       */
/* All rights reserved.                                                       */
/*                                                                            */
/* This source, or parts thereof, may be used for free in free- and shareware */
/* programs. For commercial programs, you have to pay a fee to use it. See    */
/* the license file for more information.                                     */
/******************************************************************************/


#ifndef __GlobalFuncs_h
#define __GlobalFuncs_h

// PolyKit headers
#include "POS.h"
#include "PString.h"
#include "ImportExport.h"


/******************************************************************************/
/* Enumeration values                                                         */
/******************************************************************************/
enum POperativeSystem {	pWindows95, pWindows98, pWindowsNT, pWindows2000, pBeOS, pLinux };



/******************************************************************************/
/* Prototypes of the functions                                                */
/******************************************************************************/
#if __p_os == __p_beos && __POWERPC__
#pragma export on
#endif

_IMPEXP_PKLIB void PlayBeep(void);
_IMPEXP_PKLIB uint32 Random(uint32 max);
_IMPEXP_PKLIB uint32 ConvertOSError(uint32 osError);
_IMPEXP_PKLIB PString GetErrorString(uint32 error);
_IMPEXP_PKLIB POperativeSystem GetOSVersion(void);

#if __p_os == __p_beos && __POWERPC__
#pragma export off
#endif

#endif
