/******************************************************************************/
/* PolyKit shared library import/export functions.                            */
/******************************************************************************/
/* This is part of the PolyKit library.                                       */
/* Copyright (C) 1998-1999 by Polycode.                                       */
/* All rights reserved.                                                       */
/*                                                                            */
/* This source, or parts thereof, may be used for free in free- and shareware */
/* programs. For commercial programs, you have to pay a fee to use it. See    */
/* the license file for more information.                                     */
/******************************************************************************/


#ifndef __POLYKIT_BUILD_h
#define __POLYKIT_BUILD_h

// PolyKit headers
#include "POS.h"


/******************************************************************************/
/* Define the macros needed                                                   */
/******************************************************************************/

// BeOS
#if __p_os == __p_beos

// BeOS Intel
#ifdef __INTEL__

#ifdef _BUILDING_POLYKIT_LIBRARY_
#define _IMPEXP_PKLIB		__declspec(dllexport)
#else
#define _IMPEXP_PKLIB		__declspec(dllimport)
#endif

#else

// BeOS PowerPC
#define _IMPEXP_PKLIB
#endif


// Windows
#elif __p_os == __p_windows

#ifdef _BUILDING_POLYKIT_LIBRARY_
#define _IMPEXP_PKLIB		__declspec(dllexport)
#else
#define _IMPEXP_PKLIB		__declspec(dllimport)
#endif


// Other platforms
#else
#define _IMPEXP_PKLIB
#endif

#endif
