/******************************************************************************/
/* PDebug header file.                                                        */
/******************************************************************************/
/* This is part of the PolyKit library.                                       */
/* Copyright (C) 1998-1999 by Polycode.                                       */
/* All rights reserved.                                                       */
/*                                                                            */
/* This source, or parts thereof, may be used for free in free- and shareware */
/* programs. For commercial programs, you have to pay a fee to use it. See    */
/* the license file for more information.                                     */
/******************************************************************************/


#ifndef __PDebug_h
#define __PDebug_h

#include "POS.h"

// Include this define when you make debug versions
#if __p_os == __p_beos
//#define PDEBUG
#endif

#if __p_os == __p_windows

#ifdef _DEBUG
#define PDEBUG
#endif

#endif

#if __p_os == __p_linux
hvad hedder debug define i linux. Define PDEBUG hvis den er sat, eller unset den
#endif


/******************************************************************************/
/* Define macros                                                              */
/******************************************************************************/

//
// BEOS versions
//
#if __p_os == __p_beos

#ifdef PDEBUG

//
// DEBUG VERSIONS
//
#undef ASSERT
#undef VERIFY

#define ASSERT(c) \
	{ \
		if (!(c)) \
		{ \
			char buf[1024]; \
			sprintf(buf, "Assertion (%s) failed in \"%s\" on line %d\nProgram will be aborted!!\n", #c, __FILE__, __LINE__); \
			debugger(buf); \
			abort(); \
		} \
	}

#define VERIFY(c)		ASSERT(c)

#else

//
// RELEASE VERSIONS
//
#undef ASSERT
#undef VERIFY

#define ASSERT(c)		((void)0)
#define VERIFY(c)		((void)(c))

#endif

#endif



//
// Windows versions
//
#if __p_os == __p_windows

#ifdef PDEBUG

//
// DEBUG VERSIONS
//
#undef ASSERT
#undef VERIFY

#define ASSERT			_ASSERT
#define VERIFY			_ASSERT

#else

//
// RELEASE VERSIONS
//
#undef ASSERT
#undef VERIFY

#define ASSERT(c)		((void)0)
#define VERIFY(c)		((void)(c))

#endif

#endif



//
// Linux versions
//
#if __p_os == __p_linux
Lav ASSERT og VERIFY macroer
#endif

#endif
